libqxp Namespace Reference documentation

Classes | Typedefs | Enumerations | Functions
libqxp Namespace Reference

## Classes
struct | Arrow
struct | Box
struct | CharFormat
struct | CharFormatSpec
struct | Color
struct | CurveComponent
class | EndOfStreamException
class | FileAccessError
struct | Frame
class | GenericException
struct | Gradient
struct | Group
struct | HJ
struct | Line
struct | LineStyle
struct | LinkedTextSettings
class | MWAWInputStream
| Internal class used to read the file stream Internal class used to read the file stream, this class adds some usefull functions to the basic librevenge::RVNGInputStream: More...
struct | Object
struct | Page
struct | PageSettings
struct | ParagraphFormat
struct | ParagraphRule
struct | ParagraphSpec
class | ParseError
struct | PictureBox
struct | Point
class | QXP1Header
class | QXP1Parser
class | QXP33Deobfuscator
class | QXP33Header
class | QXP33Parser
class | QXP3HeaderBase
class | QXP4Deobfuscator
class | QXP4Header
class | QXP4Parser
class | QXPBlockParser
class | QXPCollector
class | QXPContentCollector
class | QXPDeobfuscator
class | QXPDetector
struct | QXPDocumentProperties
class | QXPDummyCollector
struct | QXPDummyDeleter
class | QXPHeader
class | QXPMacFileParser
class | QXPMemoryStream
class | QXPParser
class | QXPTextParser
struct | Rect
struct | TabStop
struct | Text
struct | TextBox
struct | TextObject
struct | TextPath
struct | TextPathSettings
struct | TextSettings
struct | TextSpec
class | UnsupportedFormat

## Typedefs
typedef boost::variant< Color, Gradient > | Fill

## Enumerations
enum | QXPVersion { UNKNOWN = 0, QXP_1 = 0x20, QXP_31_MAC = 0x39, QXP_31 = 0x3e, QXP_33 = 0x3f, QXP_4 = 0x41, QXP_5 = 0x42, QXP_6 = 0x43, QXP_7 = 0x44, QXP_8 = 0x45 }
enum | GradientType { GradientType::LINEAR, GradientType::MIDLINEAR, GradientType::RECTANGULAR, GradientType::DIAMOND, GradientType::CIRCULAR, GradientType::FULLCIRCULAR }
enum | LineCapType { LineCapType::BUTT, LineCapType::ROUND, LineCapType::RECT, LineCapType::STRETCH }
enum | LineJoinType { LineJoinType::MITER, LineJoinType::ROUND, LineJoinType::BEVEL }
enum | HorizontalAlignment { HorizontalAlignment::LEFT, HorizontalAlignment::CENTER, HorizontalAlignment::RIGHT, HorizontalAlignment::JUSTIFIED, HorizontalAlignment::FORCED }
enum | VerticalAlignment { VerticalAlignment::TOP, VerticalAlignment::CENTER, VerticalAlignment::BOTTOM, VerticalAlignment::JUSTIFIED }
enum | TabStopType { TabStopType::LEFT, TabStopType::CENTER, TabStopType::RIGHT, TabStopType::ALIGN }
enum | ContentType { ContentType::UNKNOWN, ContentType::OBJECTS, ContentType::NONE, ContentType::TEXT, ContentType::PICTURE }
enum | TextPathAlignment { TextPathAlignment::ASCENT, TextPathAlignment::CENTER, TextPathAlignment::BASELINE, TextPathAlignment::DESCENT }
enum | TextPathLineAlignment { TextPathLineAlignment::TOP, TextPathLineAlignment::CENTER, TextPathLineAlignment::BOTTOM }
enum | CornerType { CornerType::DEFAULT, CornerType::ROUNDED, CornerType::BEVELED, CornerType::CONCAVE }
enum | BoxType { BoxType::UNKNOWN, BoxType::RECTANGLE, BoxType::OVAL, BoxType::POLYGON, BoxType::BEZIER }

## Functions
uint8_t | readU8 (librevenge::RVNGInputStream *input, bool)
uint16_t | readU16 (librevenge::RVNGInputStream *input, bool bigEndian)
uint32_t | readU32 (librevenge::RVNGInputStream *input, bool bigEndian)
uint64_t | readU64 (librevenge::RVNGInputStream *input, bool bigEndian)
int16_t | readS16 (librevenge::RVNGInputStream *input, bool bigEndian)
int32_t | readS32 (librevenge::RVNGInputStream *input, bool bigEndian)
double | readFloat16 (librevenge::RVNGInputStream *input, bool bigEndian)
double | readFraction (librevenge::RVNGInputStream *input, bool bigEndian)
const unsigned char * | readNBytes (librevenge::RVNGInputStream *const input, const unsigned long numBytes)
string | readCString (librevenge::RVNGInputStream *input)
string | readPascalString (librevenge::RVNGInputStream *input)
std::string | readString (librevenge::RVNGInputStream *input, const unsigned length)
std::string | readPlatformString (librevenge::RVNGInputStream *input, bool bigEndian)
void | skip (librevenge::RVNGInputStream *input, unsigned long numBytes)
void | seek (librevenge::RVNGInputStream *const input, const unsigned long pos)
void | seekRelative (librevenge::RVNGInputStream *const input, const long pos)
unsigned long | getLength (librevenge::RVNGInputStream *const input)
uint8_t | readU8 (const std::shared_ptr< librevenge::RVNGInputStream > input, bool)
uint16_t | readU16 (const std::shared_ptr< librevenge::RVNGInputStream > input, const bool bigEndian)
uint32_t | readU32 (const std::shared_ptr< librevenge::RVNGInputStream > input, const bool bigEndian)
uint64_t | readU64 (const std::shared_ptr< librevenge::RVNGInputStream > input, const bool bigEndian)
int16_t | readS16 (std::shared_ptr< librevenge::RVNGInputStream > input, bool bigEndian)
int32_t | readS32 (std::shared_ptr< librevenge::RVNGInputStream > input, bool bigEndian)
double | readFloat16 (std::shared_ptr< librevenge::RVNGInputStream > input, bool bigEndian)
double | readFraction (std::shared_ptr< librevenge::RVNGInputStream > input, bool bigEndian)
const unsigned char * | readNBytes (const std::shared_ptr< librevenge::RVNGInputStream > input, const unsigned long numBytes)
std::string | readCString (const std::shared_ptr< librevenge::RVNGInputStream > input)
std::string | readPascalString (const std::shared_ptr< librevenge::RVNGInputStream > input)
std::string | readString (std::shared_ptr< librevenge::RVNGInputStream > input, const unsigned length)
std::string | readPlatformString (std::shared_ptr< librevenge::RVNGInputStream > input, bool bigEndian)
void | skip (const std::shared_ptr< librevenge::RVNGInputStream > input, const unsigned long numBytes)
void | seek (const std::shared_ptr< librevenge::RVNGInputStream > input, const unsigned long pos)
void | seekRelative (const std::shared_ptr< librevenge::RVNGInputStream > input, const long pos)
unsigned long | getLength (const std::shared_ptr< librevenge::RVNGInputStream > input)
double | deg2rad (double value)
double | normalizeRadAngle (double radAngle)
double | normalizeDegAngle (double degAngle)
void | appendCharacters (librevenge::RVNGString &text, const char *characters, const size_t size, const char *encoding)
template<typename T , typename... Args>
std::unique_ptr< T > | make_unique (Args &&... args)
bool | operator== (const Point &lhs, const Point &rhs)
bool | operator!= (const Point &lhs, const Point &rhs)

## Typedef Documentation

## ◆ Fill

typedef boost::variant<Color, Gradient> libqxp::Fill

## Enumeration Type Documentation

## ◆ BoxType

enum libqxp::BoxType
| strong

Enumerator
UNKNOWN |
RECTANGLE |
OVAL |
POLYGON |
BEZIER |

## ◆ ContentType

enum libqxp::ContentType
| strong

Enumerator
UNKNOWN |
OBJECTS |
NONE |
TEXT |
PICTURE |

## ◆ CornerType

enum libqxp::CornerType
| strong

Enumerator
DEFAULT |
ROUNDED |
BEVELED |
CONCAVE |

## ◆ GradientType

enum libqxp::GradientType
| strong

Enumerator
LINEAR |
MIDLINEAR |
RECTANGULAR |
DIAMOND |
CIRCULAR |
FULLCIRCULAR |

## ◆ HorizontalAlignment

enum libqxp::HorizontalAlignment
| strong

Enumerator
LEFT |
CENTER |
RIGHT |
JUSTIFIED |
FORCED |

## ◆ LineCapType

enum libqxp::LineCapType
| strong

Enumerator
BUTT |
ROUND |
RECT |
STRETCH |

## ◆ LineJoinType

enum libqxp::LineJoinType
| strong

Enumerator
MITER |
ROUND |
BEVEL |

## ◆ QXPVersion

enum libqxp::QXPVersion

Enumerator
UNKNOWN |
QXP_1 |
QXP_31_MAC |
QXP_31 |
QXP_33 |
QXP_4 |
QXP_5 |
QXP_6 |
QXP_7 |
QXP_8 |

## ◆ TabStopType

enum libqxp::TabStopType
| strong

Enumerator
LEFT |
CENTER |
RIGHT |
ALIGN |

## ◆ TextPathAlignment

enum libqxp::TextPathAlignment
| strong

Enumerator
ASCENT |
CENTER |
BASELINE |
DESCENT |

## ◆ TextPathLineAlignment

enum libqxp::TextPathLineAlignment
| strong

Enumerator
TOP |
CENTER |
BOTTOM |

## ◆ VerticalAlignment

enum libqxp::VerticalAlignment
| strong

Enumerator
TOP |
CENTER |
BOTTOM |
JUSTIFIED |

## Function Documentation

## ◆ appendCharacters()

void libqxp::appendCharacters | ( | librevenge::RVNGString & | text,
|  | const char * | characters,
|  | const size_t | size,
|  | const char * | encoding
| ) |  |

Referenced by libqxp::QXPContentCollector::drawText(), and make_unique().

## ◆ deg2rad()

double libqxp::deg2rad | ( | double | value | ) |

Referenced by make_unique(), and libqxp::Point::rotateDeg().

## ◆ getLength() [1/2]

unsigned long libqxp::getLength | ( | librevenge::RVNGInputStream *const | input | ) |

Referenced by getLength(), make_unique(), libqxp::QXP4Parser::parseTabStops(), libqxp::QXP4Parser::readBezierData(), and libqxp::QXP33Parser::readPolygonData().

## ◆ getLength() [2/2]

unsigned long libqxp::getLength | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input | ) |

## ◆ make_unique()

template<typename T , typename... Args>

std::unique_ptr<T> libqxp::make_unique | ( | Args &&... | args | ) |

## ◆ normalizeDegAngle()

double libqxp::normalizeDegAngle | ( | double | degAngle | ) |

Referenced by deg2rad(), and make_unique().

## ◆ normalizeRadAngle()

double libqxp::normalizeRadAngle | ( | double | radAngle | ) |

Referenced by make_unique().

## ◆ operator!=()

bool libqxp::operator!= | ( | const Point & | lhs,
|  | const Point & | rhs
| ) |  |

Referenced by libqxp::Point::Point().

## ◆ operator==()

bool libqxp::operator== | ( | const Point & | lhs,
|  | const Point & | rhs
| ) |  |

Referenced by libqxp::Point::Point().

## ◆ readCString() [1/2]

std::string libqxp::readCString | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by make_unique(), readCString(), and readPlatformString().

## ◆ readCString() [2/2]

std::string libqxp::readCString | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input | ) |

## ◆ readFloat16() [1/2]

double libqxp::readFloat16 | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian
| ) |  |

Referenced by make_unique(), libqxp::QXPParser::readColorComp(), and readFloat16().

## ◆ readFloat16() [2/2]

double libqxp::readFloat16 | ( | std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | bool | bigEndian
| ) |  |

## ◆ readFraction() [1/2]

double libqxp::readFraction | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian
| ) |  |

Referenced by libqxp::QXP33Header::load(), libqxp::QXP4Header::load(), make_unique(), libqxp::QXP33Parser::parseCharFormat(), libqxp::QXP4Parser::parseCharFormat(), libqxp::QXPParser::parseCommonCharFormatProps(), libqxp::QXP4Parser::parseEmptyBox(), libqxp::QXP33Parser::parseLine(), libqxp::QXP4Parser::parseLineStyles(), libqxp::QXP33Parser::parseObjectHeader(), libqxp::QXP4Parser::parseObjectHeader(), libqxp::QXPParser::parsePageSettings(), libqxp::QXP1Parser::parseParagraphFormat(), libqxp::QXP33Parser::parseParagraphFormat(), libqxp::QXP4Parser::parseParagraphFormat(), libqxp::QXP33Parser::parsePictureBox(), libqxp::QXP4Parser::parsePictureBox(), libqxp::QXPParser::parseTabStop(), libqxp::QXP33Parser::parseTextBox(), libqxp::QXP4Parser::parseTextBox(), readFraction(), libqxp::QXP33Parser::readFrame(), libqxp::QXP4Parser::readFrame(), libqxp::QXPParser::readGradient(), libqxp::QXPParser::readObjectBBox(), libqxp::QXPParser::readParagraphRule(), libqxp::QXP4Parser::readPictureSettings(), libqxp::QXP4Parser::readTextSettings(), and libqxp::QXPParser::readYX().

## ◆ readFraction() [2/2]

double libqxp::readFraction | ( | std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | bool | bigEndian
| ) |  |

## ◆ readNBytes() [1/2]

const unsigned char * libqxp::readNBytes | ( | librevenge::RVNGInputStream *const | input,
|  | const unsigned long | numBytes
| ) |  |

Referenced by libqxp::QXPBlockParser::getBlock(), libqxp::QXPBlockParser::getChain(), make_unique(), libqxp::QXP4Parser::parseColors(), and readNBytes().

## ◆ readNBytes() [2/2]

const unsigned char * libqxp::readNBytes | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const unsigned long | numBytes
| ) |  |

## ◆ readPascalString() [1/2]

std::string libqxp::readPascalString | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by make_unique(), readPascalString(), and readPlatformString().

## ◆ readPascalString() [2/2]

std::string libqxp::readPascalString | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input | ) |

## ◆ readPlatformString() [1/2]

std::string libqxp::readPlatformString | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian
| ) |  |

Referenced by make_unique(), libqxp::QXPParser::parseFonts(), libqxp::QXP33Parser::readName(), and readPlatformString().

## ◆ readPlatformString() [2/2]

std::string libqxp::readPlatformString | ( | std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | bool | bigEndian
| ) |  |

## ◆ readS16() [1/2]

int16_t libqxp::readS16 | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian
| ) |  |

Referenced by libqxp::QXPBlockParser::getChain(), make_unique(), libqxp::QXP1Parser::parseCharFormat(), libqxp::QXPParser::parseCommonCharFormatProps(), libqxp::QXPParser::parseFonts(), and readS16().

## ◆ readS16() [2/2]

int16_t libqxp::readS16 | ( | std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | bool | bigEndian
| ) |  |

## ◆ readS32() [1/2]

int32_t libqxp::readS32 | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian
| ) |  |

Referenced by libqxp::QXPBlockParser::getChain(), make_unique(), readFraction(), and readS32().

## ◆ readS32() [2/2]

int32_t libqxp::readS32 | ( | std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | bool | bigEndian
| ) |  |

## ◆ readString() [1/2]

std::string libqxp::readString | ( | librevenge::RVNGInputStream * | input,
|  | const unsigned | length
| ) |  |

Referenced by libqxp::QXP3HeaderBase::load(), libqxp::QXP4Header::load(), make_unique(), libqxp::QXPTextParser::parseText(), readPascalString(), and readString().

## ◆ readString() [2/2]

std::string libqxp::readString | ( | std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const unsigned | length
| ) |  |

## ◆ readU16() [1/2]

uint16_t libqxp::readU16 | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian
| ) |  |

Referenced by libqxp::QXPBlockParser::getChain(), libqxp::QXP1Header::load(), libqxp::QXP33Header::load(), libqxp::QXP3HeaderBase::load(), libqxp::QXP4Header::load(), make_unique(), libqxp::QXP1Parser::parseCharFormat(), libqxp::QXP4Parser::parseCharFormat(), libqxp::QXP4Parser::parseColor(), libqxp::QXP4Parser::parseColors(), libqxp::QXPParser::parseCommonCharFormatProps(), libqxp::QXP1Parser::parseCoordPair(), libqxp::QXPParser::parseFonts(), libqxp::QXP33Parser::parseGroup(), libqxp::QXP4Parser::parseGroup(), libqxp::QXP4Parser::parseLineStyles(), libqxp::QXP1Parser::parseObject(), libqxp::QXP4Parser::parseObjectHeader(), libqxp::QXPParser::parsePageSettings(), libqxp::QXP33Parser::parseParagraphFormat(), libqxp::QXP4Parser::parseParagraphFormat(), libqxp::QXPParser::parseTabStop(), libqxp::QXP4Parser::parseTabStops(), libqxp::QXPTextParser::parseText(), libqxp::QXP4Parser::readBezierData(), readFloat16(), libqxp::QXP4Parser::readFrame(), libqxp::QXPParser::readGradient(), libqxp::QXPParser::readParagraphRule(), readS16(), readU16(), and libqxp::QXP4Parser::skipParagraphStylesheets().

## ◆ readU16() [2/2]

uint16_t libqxp::readU16 | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const bool | bigEndian
| ) |  |

## ◆ readU32() [1/2]

uint32_t libqxp::readU32 | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian
| ) |  |

Referenced by make_unique(), libqxp::QXP4Parser::parseBezierText(), libqxp::QXP4Parser::parseBezierTextBox(), libqxp::QXP4Parser::parseColorBlockSpec(), libqxp::QXP4Parser::parseColors(), libqxp::QXP33Parser::parseEmptyBox(), libqxp::QXP33Parser::parseGroup(), libqxp::QXP4Parser::parseGroup(), libqxp::QXP4Parser::parseLineText(), libqxp::QXP1Parser::parseObject(), libqxp::QXP33Parser::parseObjectHeader(), libqxp::QXP4Parser::parseObjectHeader(), libqxp::QXP33Parser::parsePage(), libqxp::QXP4Parser::parsePage(), libqxp::QXPParser::parsePageSettings(), libqxp::QXP33Parser::parsePictureBox(), libqxp::QXP4Parser::parseTabStops(), libqxp::QXPTextParser::parseText(), libqxp::QXP33Parser::parseTextBox(), libqxp::QXP4Parser::parseTextBox(), libqxp::QXP4Parser::readBezierData(), libqxp::QXP4Parser::readImageData(), libqxp::QXP4Parser::readLinkedTextSettings(), libqxp::QXP4Parser::readOleObject(), libqxp::QXP33Parser::readPolygonData(), libqxp::QXPParser::readRecordEndOffset(), readS32(), readU32(), libqxp::QXPParser::skipFileInfo(), libqxp::QXPParser::skipRecord(), libqxp::QXP4Parser::skipTemplates(), and libqxp::QXP4Parser::skipTextObjectEnd().

## ◆ readU32() [2/2]

uint32_t libqxp::readU32 | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const bool | bigEndian
| ) |  |

## ◆ readU64() [1/2]

uint64_t libqxp::readU64 | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian
| ) |  |

Referenced by make_unique(), and readU64().

## ◆ readU64() [2/2]

uint64_t libqxp::readU64 | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const bool | bigEndian
| ) |  |

## ◆ readU8() [1/2]

uint8_t libqxp::readU8 | ( | librevenge::RVNGInputStream * | input,
|  | bool |
| ) |  |

Referenced by getLength(), libqxp::QXP33Header::load(), libqxp::QXP3HeaderBase::load(), libqxp::QXP4Header::load(), make_unique(), libqxp::QXP1Parser::parseCharFormat(), libqxp::QXP33Parser::parseCharFormat(), libqxp::QXP4Parser::parseCharFormat(), libqxp::QXP33Parser::parseColors(), libqxp::QXPParser::parseHJProps(), libqxp::QXP33Parser::parseLine(), libqxp::QXP4Parser::parseLineStyles(), libqxp::QXP1Parser::parseObject(), libqxp::QXP33Parser::parseObjectHeader(), libqxp::QXP4Parser::parseObjectHeader(), libqxp::QXP1Parser::parsePage(), libqxp::QXP1Parser::parseParagraphFormat(), libqxp::QXP33Parser::parsePictureBox(), libqxp::QXPParser::parseTabStop(), libqxp::QXP33Parser::parseTextBox(), readCString(), libqxp::QXP33Parser::readFrame(), libqxp::QXP4Parser::readFrame(), libqxp::QXPParser::readGradient(), libqxp::QXPParser::readHorAlign(), libqxp::QXPParser::readObjectFlags(), libqxp::QXPParser::readParagraphFlags(), libqxp::QXPParser::readParagraphRule(), readPascalString(), libqxp::QXP4Parser::readRunaround(), readString(), libqxp::QXP4Parser::readTextPathSettings(), libqxp::QXP4Parser::readTextSettings(), readU8(), and libqxp::QXPParser::readVertAlign().

## ◆ readU8() [2/2]

uint8_t libqxp::readU8 | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | bool |
| ) |  |

## ◆ seek() [1/2]

void libqxp::seek | ( | librevenge::RVNGInputStream *const | input,
|  | const unsigned long | pos
| ) |  |

Referenced by libqxp::QXPBlockParser::getBlock(), libqxp::QXPBlockParser::getChain(), getLength(), libqxp::QXP33Header::load(), libqxp::QXP3HeaderBase::load(), libqxp::QXP4Header::load(), make_unique(), libqxp::QXPParser::parseCollection(), libqxp::QXP4Parser::parseColor(), libqxp::QXP33Parser::parseColors(), libqxp::QXP4Parser::parseColors(), libqxp::QXPParser::parseFonts(), libqxp::QXP4Parser::parseLineStyles(), libqxp::QXP4Parser::readBezierData(), seek(), libqxp::QXP4Parser::skipParagraphStylesheets(), and libqxp::QXP4Parser::skipTemplates().

## ◆ seek() [2/2]

void libqxp::seek | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const unsigned long | pos
| ) |  |

## ◆ seekRelative() [1/2]

void libqxp::seekRelative | ( | librevenge::RVNGInputStream *const | input,
|  | const long | pos
| ) |  |

Referenced by libqxp::QXP33Header::load(), libqxp::QXP4Header::load(), make_unique(), seekRelative(), and skip().

## ◆ seekRelative() [2/2]

void libqxp::seekRelative | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const long | pos
| ) |  |

## ◆ skip() [1/2]

void libqxp::skip | ( | librevenge::RVNGInputStream * | input,
|  | unsigned long | numBytes
| ) |  |

Referenced by libqxp::QXP1Header::load(), libqxp::QXP33Header::load(), libqxp::QXP3HeaderBase::load(), libqxp::QXP4Header::load(), make_unique(), libqxp::QXP4Parser::parseBezierEmptyBox(), libqxp::QXP4Parser::parseBezierLine(), libqxp::QXP4Parser::parseBezierPictureBox(), libqxp::QXP4Parser::parseBezierText(), libqxp::QXP4Parser::parseBezierTextBox(), libqxp::QXP1Parser::parseCharFormat(), libqxp::QXP33Parser::parseCharFormat(), libqxp::QXP4Parser::parseCharFormat(), libqxp::QXP4Parser::parseColor(), libqxp::QXP33Parser::parseColors(), libqxp::QXP4Parser::parseColors(), libqxp::QXP33Parser::parseEmptyBox(), libqxp::QXP4Parser::parseEmptyBox(), libqxp::QXPParser::parseFonts(), libqxp::QXP33Parser::parseGroup(), libqxp::QXP4Parser::parseGroup(), libqxp::QXP33Parser::parseHJ(), libqxp::QXP4Parser::parseHJ(), libqxp::QXPParser::parseHJProps(), libqxp::QXP1Parser::parseLine(), libqxp::QXP4Parser::parseLine(), libqxp::QXP4Parser::parseLineStyles(), libqxp::QXP4Parser::parseLineText(), libqxp::QXP1Parser::parseObject(), libqxp::QXP33Parser::parseObjectHeader(), libqxp::QXP4Parser::parseObjectHeader(), libqxp::QXP1Parser::parsePage(), libqxp::QXPParser::parsePageSettings(), libqxp::QXP1Parser::parseParagraphFormat(), libqxp::QXP33Parser::parseParagraphFormat(), libqxp::QXP4Parser::parseParagraphFormat(), libqxp::QXP1Parser::parsePicture(), libqxp::QXP33Parser::parsePictureBox(), libqxp::QXP4Parser::parsePictureBox(), libqxp::QXP4Parser::parseTabStops(), libqxp::QXPTextParser::parseText(), libqxp::QXP1Parser::parseText(), libqxp::QXP33Parser::parseTextBox(), libqxp::QXP4Parser::parseTextBox(), libqxp::QXP4Parser::readBezierData(), libqxp::QXP33Parser::readFrame(), libqxp::QXPParser::readGradient(), libqxp::QXP4Parser::readImageData(), libqxp::QXP4Parser::readLinkedTextSettings(), libqxp::QXP33Parser::readName(), libqxp::QXP4Parser::readOleObject(), libqxp::QXP4Parser::readPictureSettings(), libqxp::QXP33Parser::readPolygonData(), libqxp::QXP4Parser::readRunaround(), libqxp::QXP4Parser::readTextSettings(), skip(), libqxp::QXPParser::skipFileInfo(), libqxp::QXP4Parser::skipParagraphStylesheets(), libqxp::QXPParser::skipRecord(), and libqxp::QXP4Parser::skipTextObjectEnd().

## ◆ skip() [2/2]

void libqxp::skip | ( | const std::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const unsigned long | numBytes
| ) |  |